# Module `RadioGroup`

Radio group module

## Functions

get_state(self) | Return radio group state
init(self, nodes, callback[, click_nodes=node]) | Component init function
set_state(self, index, is_instant) | Set radio group state

## Fields

checkboxes | Array of checkbox components
on_radio_click | On any checkbox click

## Functions

get_state(self)
  Return radio group state

  ### Parameters:

  - self RadioGroup RadioGroup

  ### Returns:

  number Index in radio group
init(self, nodes, callback[, click_nodes=node])
  Component init function

  ### Parameters:

  - self RadioGroup RadioGroup
  - nodes node[] Array of gui node
  - callback function Radio callback
  - click_nodes node[] Array of trigger nodes, by default equals to nodes (default node)
set_state(self, index, is_instant)
  Set radio group state

  ### Parameters:

  - self RadioGroup RadioGroup
  - index number Index in radio group
  - is_instant boolean If is instant state change

## Fields

checkboxes
  Array of checkbox components
  - checkboxes Checkbox[]
on_radio_click
  On any checkbox click
  - on_radio_click DruidEvent DruidEvent

generated by LDoc TESTING Last updated 2015-01-01 12:00:00